---
title: "eth_getTransactionCount"
description: "Returns the number of transactions sent from an address (nonce) (Polygon)"
url: "https://blockreq.com/docs/build/api-reference/polygon/eth_getTransactionCount/"
---

# eth_getTransactionCount

**Network:** Polygon · Mainnet · Chain ID `137` (`0x89`)

**Counts as 1 request.** See [Request Counting](https://blockreq.com/docs/pricing/request-counting/index.md).

Returns the number of transactions sent from an address.

## Parameters

1. `DATA` (20 bytes) — Address.
2. `QUANTITY|TAG` — Block number, or `"latest"`, `"earliest"`, `"pending"`.

## Returns

`QUANTITY` — Integer of the number of transactions sent from this address.

## Request

```json
{
  "jsonrpc": "2.0",
  "method": "eth_getTransactionCount",
  "params": ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"],
  "id": 1
}
```

## Response

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x29d"
}
```

## Code Examples

**cURL**

```bash
curl -X POST https://polygon-bor-rpc.blockreq.com/v1/rpc/public \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getTransactionCount","params":["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"],"id":1}'
```

**TypeScript**

```typescript
const response = await fetch("https://polygon-bor-rpc.blockreq.com/v1/rpc/public", {
  method: "POST",
  headers: { "Content-Type": "application/json" },
  body: JSON.stringify({
  "jsonrpc": "2.0",
  "method": "eth_getTransactionCount",
  "params": [
    "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "latest"
  ],
  "id": 1
}),
});
const data = await response.json();
console.log(data.result);
```

**Python**

```python
import requests

response = requests.post(
    "https://polygon-bor-rpc.blockreq.com/v1/rpc/public",
    json={
  "jsonrpc": "2.0",
  "method": "eth_getTransactionCount",
  "params": [
    "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "latest"
  ],
  "id": 1
}
)
print(response.json()["result"])
```

**Go**

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io"
	"net/http"
)

func main() {
	payload := []byte(`{"jsonrpc":"2.0","method":"eth_getTransactionCount","params":["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"],"id":1}`)
	resp, err := http.Post(
		"https://polygon-bor-rpc.blockreq.com/v1/rpc/public",
		"application/json",
		bytes.NewBuffer(payload),
	)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	var result map[string]interface{}
	json.Unmarshal(body, &result)
	fmt.Println(result["result"])
}
```

**viem**

```typescript
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://polygon-bor-rpc.blockreq.com/v1/rpc/public"),
});

const result = await client.request({
  method: "eth_getTransactionCount",
  params: ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"],
});
console.log(result);
```

**Foundry**

```bash
cast rpc --rpc-url https://polygon-bor-rpc.blockreq.com/v1/rpc/public eth_getTransactionCount 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045 latest
```

**Hardhat**

```javascript
const { ethers } = require("hardhat");

async function main() {
  const provider = new ethers.JsonRpcProvider("https://polygon-bor-rpc.blockreq.com/v1/rpc/public");
  const result = await provider.send("eth_getTransactionCount", ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"]);
  console.log(result);
}

main();
```
